#pragma once
#include <map>
struct M_ActivityDBFSignCFGData
{
	//天数
	int mDay;
	//奖励物品
	std::vector<int> mRewardItem;
	//奖励数量
	std::vector<int> mRewardQuantity;
	//显示
	std::vector<int> mDisplay;
	//显示数量
	std::vector<int> mDisplayQuantity;
};

class M_ActivityDBFSignCFG
{
public:
private:
	static std::auto_ptr<M_ActivityDBFSignCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityDBFSignCFGData* GetData(int Day);
	const std::map<int, M_ActivityDBFSignCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDBFSignCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDBFSignCFGData> mMapData;
};
